set size 0.6,0.6

set xrange [1:1000]
set yrange [1:10000]
set xlabel "energy (MeV)"
set ylabel "cross section (mb)"
set logscale

plot \
"QGSP_BERT_XS_neutron_H.txt" using 1:($2*1e3) title "neutron+H elastic" with lines, \
"QGSP_BERT_XS_neutron_H.txt" using 1:($3*1e3) title "neutron+H inelastic" with lines, \
"menater_all.txt" using 1:($2*1e3) title "MENATE_R np elastic" with lines, \
"demons_all.txt" using 1:2        title "DEMONS np elastic" with lines, \

# plot \
# "H_neutron_QGSP_INCLXX_XSHP.txt" using 1:($2*1e3) title "Geant4 np elastic" with lines, \
# "C_neutron_QGSP_INCLXX_XSHP.txt" using 1:($2*1e3) title "Geant4 nC elastic" with lines, \
# "../cross_menate_r_data/all.dat" using 1:($3*1e3) title "MENATE_R nC elastic" with lines, \
# "../cross_demons/cross.txt"      using 1:4        title "DEMONS nC inelastic" with lines, \
# "C_neutron_QGSP_INCLXX_XSHP.txt" using 1:($3*1e3) title "Geant4 nC inelastic" with lines, \
# "../cross_menate_r_data/all.dat" using 1:(($4+$5+$6+$7+$8)*1e3) title "MENATE_R nC inelastic"   with lines, \
# "../cross_demons/cross.txt"      using 1:10       title "DEMONS nC inelastic" with lines

# # menater
# "all.dat" using 1:($2*1e3) title "np elastic"     with lines, \
# "all.dat" using 1:($3*1e3) title "nC elastic"     with lines, \
# "all.dat" using 1:(($4+$5+$6+$7+$8)*1e3) title "nC inelastic"   with lines, \
# "all.dat" using 1:($4*1e3) title "n+C=n+C+gamma"  with lines, \
# "all.dat" using 1:($5*1e3) title "n+C=alpha+9Be"  with lines, \
# "all.dat" using 1:($6*1e3) title "n+C=n+3alphas"  with lines, \
# "all.dat" using 1:($7*1e3) title "n+C=n+p+11B"    with lines, \
# "all.dat" using 1:($8*1e3) title "n+C=2n+11C"     with lines
# 
# # demons
# "cross.txt" using 1:2        title "np elastic scattering" with lines, \
# "cross.txt" using 1:4        title "nC elastic"            with lines, \
# "cross.txt" using 1:10       title "nC inelastic"          with lines, \
# "cross.txt" using 1:5        title "n+C=n+C+gamma"         with lines, \
# "cross.txt" using 1:6        title "n+C=alpha+9Be"         with lines, \
# "cross.txt" using 1:7        title "n+C=n+3alphas"         with lines, \
# "cross.txt" using 1:11       title "n+C=n+p+11B"           with lines, \
# "cross.txt" using 1:($8-$11) title "n+C=2n+11C"            with lines