#ifndef RUNACTIONBASIC_HH
#define RUNACTIONBASIC_HH

#include "G4UserRunAction.hh"
#include "G4String.hh"

class G4Run;
class ActionBasicMessenger;
class TAnalysisInterface;

class TFile;

class RunActionBasic : public G4UserRunAction
{
public:
  RunActionBasic(TAnalysisInterface* analysisInterface);
  virtual ~RunActionBasic();

  void BeginOfRunAction(const G4Run*);
  void EndOfRunAction(const G4Run*);

protected:
  ActionBasicMessenger* fActionBasicMessenger;
  TAnalysisInterface* fAnalysisInterface;

  TFile* fFileOut;
};

#endif

