#ifndef RUNACTIONNEUTRONDETECTOR_HH
#define RUNACTIONNEUTRONDETECTOR_HH

#include "G4UserRunAction.hh"
#include "G4String.hh"

class G4Run;
class ActionBasicMessenger;

class TFile;

class RunActionNeutronDetector : public G4UserRunAction
{
public:
  RunActionNeutronDetector();
  virtual ~RunActionNeutronDetector();

  void BeginOfRunAction(const G4Run*);
  void EndOfRunAction(const G4Run*);

protected:
  TFile* fFileOut;

  ActionBasicMessenger* fActionBasicMessenger;
};

#endif

