#ifndef TSIMULATIONPARAMETERGLOBAL_HH
#define TSIMULATIONPARAMETERGLOBAL_HH

#include "TNamed.h"
#include "TString.h"

class TSimulationParameterGlobal;
extern TSimulationParameterGlobal* gSimulationParameterGlobal;

class TSimulationParameterGlobal : public TNamed
{
public:
  TSimulationParameterGlobal();
  TSimulationParameterGlobal(const char* name, const char* title = "");
  TSimulationParameterGlobal(const TString& name, const TString& title = "");
  virtual ~TSimulationParameterGlobal();

  friend ostream& operator<<(ostream& out,  const TSimulationParameterGlobal& simulationParameterGlobal);

public:
  TString fBeamType;
  TString fTreeName;

  ClassDef(TSimulationParameterGlobal, 1)
};

#endif
