
#include "TSimulationParameterGlobal.hh"

#include <iostream>

ClassImp(TSimulationParameterGlobal)

TSimulationParameterGlobal* gSimulationParameterGlobal = 0;

std::ostream& operator<<(std::ostream& out, const TSimulationParameterGlobal& simulationParameterGlobal)
{
  out << simulationParameterGlobal.fBeamType << " ";
  out << simulationParameterGlobal.fTreeName;

  return out;
}

TSimulationParameterGlobal::TSimulationParameterGlobal()
  : TNamed("parameterGlobal","")
{;}

TSimulationParameterGlobal::TSimulationParameterGlobal(const char* name, const char* title)
  : TNamed(name, title)
{;}

TSimulationParameterGlobal::TSimulationParameterGlobal(const TString& name, const TString& title)
  : TNamed(name, title)
{;}

TSimulationParameterGlobal::~TSimulationParameterGlobal()
{;}
