#ifndef DetectorCONSTRUCTIONEXAMPLENEBULAMESSENGER_HH
#define DetectorCONSTRUCTIONEXAMPLENEBULAMESSENGER_HH

#include "G4UImessenger.hh"

class DetectorConstructionExampleNEBULA;

class G4UIdirectory;
class G4UIcmdWithoutParameter;

class DetectorConstructionExampleNEBULAMessenger : public G4UImessenger
{
public:
  DetectorConstructionExampleNEBULAMessenger(DetectorConstructionExampleNEBULA*);
  virtual ~DetectorConstructionExampleNEBULAMessenger();

  void SetNewValue(G4UIcommand*, G4String);

protected:
  DetectorConstructionExampleNEBULA* fDetectorConstructionExampleNEBULA;

  G4UIdirectory* fDetectorDirectory;

  G4UIcmdWithoutParameter* fUpdateCmd;
};

#endif

