#ifndef EVENTACTIONBASIC_HH
#define EVENTACTIONBASIC_HH
 
#include "G4UserEventAction.hh"

class G4Event;
class ActionBasicMessenger;
class TAnalysisInterface;

class EventActionBasic : public G4UserEventAction
{
public:
  EventActionBasic(TAnalysisInterface* analysisInterface);
  virtual ~EventActionBasic();

  void BeginOfEventAction(const G4Event*);
  void EndOfEventAction(const G4Event*);

protected:
  ActionBasicMessenger* fActionBasicMessenger;
  TAnalysisInterface* fAnalysisInterface;
};

#endif


